# StructureDataEntity

data class StructureDataEntity(entityType: EntityType, nbtData: NBTData) : StructureData
Content copied to clipboard

## Constructors

StructureDataEntity
Link copied to clipboard
fun StructureDataEntity(entity: Entity)
Content copied to clipboard
StructureDataEntity
Link copied to clipboard
fun StructureDataEntity(entityType: EntityType)
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): EntityType
Content copied to clipboard
component2
Link copied to clipboard
operator fun component2(): NBTData
Content copied to clipboard
copy
Link copied to clipboard
fun copy(entityType: EntityType, nbtData: NBTData): StructureDataEntity
Content copied to clipboard
createAt
Link copied to clipboard
open override fun createAt(loc: Location)
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

entityType
Link copied to clipboard
val entityType: EntityType
Content copied to clipboard
nbtData
Link copied to clipboard
val nbtData: NBTData
Content copied to clipboard